Package: grails.compiler.ast

## [Groovy] Class GlobalClassInjectorAdapter

- grails.compiler.ast.GlobalClassInjectorAdapter

- All Implemented Interfaces and Traits:
    GlobalClassInjector

      @groovy.transform.CompileStatic
      abstract class GlobalClassInjectorAdapter
      extends java.lang.Object
      implements GlobalClassInjector

  Helper super class to ease the creation of AllArtefactClassInjector implementations

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Set<java.lang.String>` | `processesClassNames` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Set<java.lang.String>` | `processesClassNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GlobalClassInjectorAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `abstract void` | `performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Set<java.lang.String> processesClassNames

  - ### Property Detail

    - #### java.util.Set<java.lang.String> processesClassNames

  - ### Constructor Detail

    - #### GlobalClassInjectorAdapter()

  - ### Method Detail

    - #### @java.lang.Override void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### abstract void performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override boolean shouldInject(java.net.URL url)